Subject: bug#9591: closed (Re: bug#9591: 24.0.50; buffer name completion)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Oct 2011 00:29:02 +0000

Your bug report

#9591: Buffer substring completion matches hidden buffers.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9591: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9591
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9591: 24.0.50; buffer name completion
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sat, 01 Oct 2011 20:27:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

>     I think you are, in fact, in agreement with Stefan, who pointed out
>     that making this special treatment the subject of a special style is
>     not a good idea.
> I had a different interpretation for what he said, but I suppose
> he will make his position clear.

I've installed a change which should solve your problem by only showing
internal buffers when the user requested them explicitly.

        Stefan

Subject: 24.0.50; buffer name completion
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 2011 08:28:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

If I type C-x k mes TAB, it completes to ` *message-viewer RMAIL'.
Killing that buffer was rather a screw.

I just fixed rmail so that won't be a screw.  But I think this
completion is a bug in its own right, and should be fixed too.

I think it is a bug to complete to a buffer name that starts with a
space, when the user did not type an initial space in the buffer name.
These buffers are not supposed to be visible unless the user
specifically asks to see them.

In GNU Emacs 24.0.50.4 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2011-09-22 on theobromine2
configured using `configure  'CFLAGS=-g -O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-n C-n C-n ESC w C-u C-y ESC f ESC f - v i e w - b 
f f DEL DEL u f f e r ESC d C-n C-a C-o TAB C-@ ESC 
v C-g C-u C-u C-p C-u C-n C-n ESC f C-f C-@ ESC C-f 
ESC w C-u C-@ C-u C-@ ( C-y ) ) C-l C-k C-k C-x C-s 
C-a C-o TAB ; ; SPC U n s w a p SPC i r s t ESC b f 
C-e , SPC s SPC DEL o SPC w e SPC d o n ' t SPC l o 
s e SPC t h e SPC r e a l SPC b u f f e r SPC c o n 
t e n t s . C-x C-s ESC v ESC v C-p C-p C-e ESC b ESC 
b ESC b C-s C-w C-w C-w ESC < C-s C-s C-s C-s C-s C-s 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-a C-u C-p 
C-p C-p C-p C-o TAB ( l e t SPC C-_ C-_ C-_ C-u C-v 
C-u C-v C-u C-v C-u C-v C-u C-v C-u C-n C-u C-n C-u 
C-n C-u C-n C-n C-n C-n C-o TAB ( s e t q SPC b DEL 
k i l l - b u f f e r - h o o k C-a C-o TAB ( a d d 
- o o DEL DEL h o o k SPC C-h f RET ESC d C-d ' C-e 
SPC ' C-x 1 r m a i l - v i e w ESC - ESC / ESC / ) 
C-x C-s ESC x e m a c s ESC DEL r e p o r t SPC e m 
a TAB RET

Recent messages:
Wrote /home/rms/emacs-bzr/trunk/lisp/mail/rmail.el
Auto-saving...done
Saving file /home/rms/emacs-bzr/trunk/lisp/mail/rmail.el...
Wrote /home/rms/emacs-bzr/trunk/lisp/mail/rmail.el
Mark saved where search started
Mark set
Mark saved where search started
Undo! [3 times]
Saving file /home/rms/emacs-bzr/trunk/lisp/mail/rmail.el...
Wrote /home/rms/emacs-bzr/trunk/lisp/mail/rmail.el

Load-path shadows:
None found.

Features:
(shadow emacsbug find-func help-fns cc-mode cc-fonts cc-guess
cc-bytecomp cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs epa-mail log-edit easy-mmode pcvs-util add-log vc ediff-merg
ediff-diff ediff-wind ediff-help ediff-util ediff-mult ediff-init
ediff vc-dispatcher parse-time vc-cvs pcmpl-unix etags sgml-mode
arc-mode archive-mode mule-util cal-move cal-menu calendar
cal-loaddefs vc-bzr make-mode jka-compr ansi-color ind-util shell
pcomplete grep compile comint ring dired-aux ispell multi-isearch
rmailout dabbrev newcomment quail epa derived epg epg-config help-mode
view mailalias qp rmailmm message sendmail format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader mail-parse rfc2231 rmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils dired regexp-opt t-mouse time-date battery paren
cus-start cus-load tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
loaddefs button faces cus-face files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar
gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/